OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_Style Class Reference

Represents a set of styling settings applicable to
a (sub)shape
.

`#include <XCAFPrs_Style.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFPrs_Style ()
Standard_EXPORT Standard_Boolean | IsSetColorSurf () const
Standard_EXPORT Quantity_Color | GetColorSurf () const
Standard_EXPORT void | SetColorSurf (const Quantity_Color &col)
Standard_EXPORT void | UnSetColorSurf ()
| Manage surface color setting .
Standard_EXPORT Standard_Boolean | IsSetColorCurv () const
Standard_EXPORT Quantity_Color | GetColorCurv () const
Standard_EXPORT void | SetColorCurv (const Quantity_Color &col)
Standard_EXPORT void | UnSetColorCurv ()
| Manage curve color setting .
Standard_EXPORT void | SetVisibility (const Standard_Boolean visibility)
Standard_EXPORT Standard_Boolean | IsVisible () const
| Manage visibility Note: Setting visibility to False makes colors undefined This is necessary for HashCode .
Standard_EXPORT Standard_Boolean | IsEqual (const XCAFPrs_Style &other) const
| Returs True if styles are the same //! Methods for using Style as key in maps .
Standard_Boolean | operator== (const XCAFPrs_Style &other) const
## Static Public Member Functions
static Standard_EXPORT Standard_Integer | HashCode (const XCAFPrs_Style &S, const Standard_Integer Upper)
| Returns a HasCode value for the Key <k> in the range 0..Upper. .
static Standard_EXPORT Standard_Boolean | IsEqual (const XCAFPrs_Style &S1, const XCAFPrs_Style &S2)
| Returns True when the two keys are the same. Two same keys must have the same hashcode, the contrary is not necessary. .
## Private Attributes
Standard_Boolean | defColorSurf
Standard_Boolean | defColorCurv
Standard_Boolean | myVisibility
Quantity_Color | myColorSurf
Quantity_Color | myColorCurv

## Constructor & Destructor Documentation

Standard_EXPORT XCAFPrs_Style::XCAFPrs_Style | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color XCAFPrs_Style::GetColorCurv | ( |  | ) | const

Standard_EXPORT Quantity_Color XCAFPrs_Style::GetColorSurf | ( |  | ) | const

static Standard_EXPORT Standard_Integer XCAFPrs_Style::HashCode | ( | const XCAFPrs_Style & | S,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XCAFPrs_Style::IsEqual | ( | const XCAFPrs_Style & | S1,
|  | const XCAFPrs_Style & | S2
| ) | `[static]`

Standard_EXPORT Standard_Boolean XCAFPrs_Style::IsEqual | ( | const XCAFPrs_Style & | other | ) | const

Standard_EXPORT Standard_Boolean XCAFPrs_Style::IsSetColorCurv | ( |  | ) | const

Standard_EXPORT Standard_Boolean XCAFPrs_Style::IsSetColorSurf | ( |  | ) | const

Standard_EXPORT Standard_Boolean XCAFPrs_Style::IsVisible | ( |  | ) | const

void XCAFPrs_Style::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFPrs_Style::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFPrs_Style::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean XCAFPrs_Style::operator== | ( | const XCAFPrs_Style & | other | ) | const`[inline]`

Standard_EXPORT void XCAFPrs_Style::SetColorCurv | ( | const Quantity_Color & | col | ) |

Standard_EXPORT void XCAFPrs_Style::SetColorSurf | ( | const Quantity_Color & | col | ) |

Standard_EXPORT void XCAFPrs_Style::SetVisibility | ( | const Standard_Boolean | visibility | ) |

Standard_EXPORT void XCAFPrs_Style::UnSetColorCurv | ( |  | ) |

Standard_EXPORT void XCAFPrs_Style::UnSetColorSurf | ( |  | ) |

## Field Documentation

Standard_Boolean XCAFPrs_Style::defColorCurv`[private]`

Standard_Boolean XCAFPrs_Style::defColorSurf`[private]`

Quantity_Color XCAFPrs_Style::myColorCurv`[private]`

Quantity_Color XCAFPrs_Style::myColorSurf`[private]`

Standard_Boolean XCAFPrs_Style::myVisibility`[private]`

The documentation for this class was generated from the following file:

- XCAFPrs_Style.hxx